wmjy.net
当前位置:首页 >> liBssl.A 冲突 >>

liBssl.A 冲突

换成高版本的openssl 编译 ./config --disable-shared --enable-static --prefix=/usr/local/openssl --openssldir=/usr/local/openssl make make install 都通过了。 但是找不到 libeay32.a openssl-1.0.0c目录下只有libcrypto.a 和libssl.a

不进行make install安装的话,就在你openssl的源码目录里,当然你config的时候需要指明shared,否则只有.a的,没有.so的。如果config的时候,指定了prefix,那么就到你指定的目录去找,下面应该有个lib目录。如果你的linux自带openssl的话,系统...

缺少libssl.a(libssl.so.0.9.8),或者路径不对。

这个是安装错误, 是so动态库的问题 能否看一下wo的网名, 帮助解决一下的啊

相关的devel包装了吗?比如libcap-devel 还要用ldconfig 命令重建ld.so.cache文件

静态库.a可以,动态库.so不可以。

首先 你去报错的对应位置查看 是否 真有这几个库文件,因为有些东西你自己安装的话,不一定是在这些引用目录下!

网站首页 | 网站地图
All rights reserved Powered by www.wmjy.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com